Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 642270

Summary: media-libs/osl-1.8.12 stable request
Product: Gentoo Linux Reporter: Jonathan Scruggs (RETIRED) <dracwyrm>
Component: StabilizationAssignee: Adrian <agrigo2001>
Status: RESOLVED OBSOLETE    
Severity: normal CC: agrigo2001, devurandom, dracwyrm, mgorny, proxy-maint
Priority: Normal Keywords: STABLEREQ
Version: unspecifiedFlags: stable-bot: sanity-check+
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
media-libs/osl-1.8.12
Runtime testing required: No
Bug Depends on: 620324, 639804, 642282, 642728, 686456, 713990    
Bug Blocks: 606406, 678642    

Description Jonathan Scruggs (RETIRED) gentoo-dev 2017-12-26 09:34:20 UTC
It is needed by parent bug

Thanks
Comment 1 Dennis Schridde 2017-12-29 21:25:21 UTC
Is media-libs/osl's dependency on sys-devel/llvm[clang] correct?  It appears that sys-devel/llvm does not anymore carry that useflag since version 4.0.  Maybe the dependency on <sys-devel/llvm-4 should be made explicit?
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-12-29 22:01:12 UTC
(In reply to Dennis Schridde from comment #1)
> Is media-libs/osl's dependency on sys-devel/llvm[clang] correct?  It appears
> that sys-devel/llvm does not anymore carry that useflag since version 4.0. 
> Maybe the dependency on <sys-devel/llvm-4 should be made explicit?

It's not. sys-devel/clang was the correct way of depending on clang since forever.
Comment 3 Jonathan Scruggs (RETIRED) gentoo-dev 2018-01-12 21:14:52 UTC
To update this, the depend was fixed in main repo today.
Comment 4 Stabilization helper bot gentoo-dev 2018-03-18 17:01:32 UTC
An automated check of this bug failed - repoman reported dependency errors (37 lines truncated): 

> dependency.bad media-libs/osl/osl-1.8.12.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['media-libs/partio']
> dependency.bad media-libs/osl/osl-1.8.12.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['media-libs/partio']
> dependency.bad media-libs/osl/osl-1.8.12.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['media-libs/partio']
Comment 5 Stabilization helper bot gentoo-dev 2018-03-18 18:00:50 UTC
An automated check of this bug failed - the following atom is unknown:

media-libs/partio

Please verify the atom list.
Comment 6 Stabilization helper bot gentoo-dev 2018-03-18 19:00:48 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 7 Larry the Git Cow gentoo-dev 2018-03-30 16:04:23 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=581f39f5cb35fbae2c6ae6b11d5a3d56aedfe8c3

commit 581f39f5cb35fbae2c6ae6b11d5a3d56aedfe8c3
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-03-30 16:03:28 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-03-30 16:04:13 +0000

    media-libs/osl: amd64 stable
    
    Bug: https://bugs.gentoo.org/642270
    Package-Manager: Portage-2.3.26, Repoman-2.3.7

 media-libs/osl/osl-1.8.12.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6bd7492f407a7187a5712652a1abac8ec0c98eb2

commit 6bd7492f407a7187a5712652a1abac8ec0c98eb2
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-03-30 15:43:05 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-03-30 16:04:09 +0000

    media-libs/partio: amd64 stable
    
    Bug: https://bugs.gentoo.org/642270
    Package-Manager: Portage-2.3.26, Repoman-2.3.7

 media-libs/partio/partio-1.1.0_p20170829.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 8 Andreas Sturmlechner gentoo-dev 2019-06-09 21:03:26 UTC
partio was already stabilised in bug 642282, no idea why the relation was dropped.
Comment 9 Andreas Sturmlechner gentoo-dev 2019-07-20 16:29:58 UTC
ping x86
Comment 10 Andreas Sturmlechner gentoo-dev 2020-03-22 14:30:51 UTC
Abandoning stabilisation. Let's not bother anyone with that cruft.